import { Mixin } from 'ts-mixer';
import ItemFactory from '@react-microdata/item-factory';
import { CreativeWorkSeriesFactory } from '@react-microdata/creative-work-series';
class VideoGameSeries extends Mixin(CreativeWorkSeriesFactory, ItemFactory) {
    season({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "season", itemScope });
    }
    ;
    containsSeason({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "containsSeason", itemScope });
    }
    ;
    director({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "director", itemScope });
    }
    ;
    actor({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "actor", itemScope });
    }
    ;
    trailer({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "trailer", itemScope });
    }
    ;
    episodes({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "episodes", itemScope });
    }
    ;
    characterAttribute({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "characterAttribute", itemScope });
    }
    ;
    numberOfEpisodes({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "numberOfEpisodes", itemScope });
    }
    ;
    seasons({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "seasons", itemScope });
    }
    ;
    cheatCode({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "cheatCode", itemScope });
    }
    ;
    gameItem({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "gameItem", itemScope });
    }
    ;
    productionCompany({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "productionCompany", itemScope });
    }
    ;
    actors({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "actors", itemScope });
    }
    ;
    playMode({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "playMode", itemScope });
    }
    ;
    gamePlatform({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "gamePlatform", itemScope });
    }
    ;
    numberOfSeasons({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "numberOfSeasons", itemScope });
    }
    ;
    musicBy({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "musicBy", itemScope });
    }
    ;
    numberOfPlayers({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "numberOfPlayers", itemScope });
    }
    ;
    quest({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "quest", itemScope });
    }
    ;
    gameLocation({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "gameLocation", itemScope });
    }
    ;
    episode({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "episode", itemScope });
    }
    ;
    directors({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "directors", itemScope });
    }
    ;
}
const VideoGameSeriesFactory = new VideoGameSeries();
export { VideoGameSeriesFactory };
export default VideoGameSeries;
//# sourceMappingURL=VideoGameSeriesFactory.js.map